For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Join CommunityStart Trading
HomeOverviewDIME UtilityTradingRisk & LiquidationsVTFsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
HomeOverviewDIME UtilityTradingRisk & LiquidationsVTFsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
  • General Information
    • Server Location
    • Server URLs
    • Quick Start
    • Authentication
    • Rate Limits
    • Benchmarks
    • API Authentication
    • API Best Practices
  • Production API Reference
        • GETGet account information
        • GETGet compliance actions
        • POSTRecord a compliance action
        • GETGet account history
        • GETReturn account info of current account
        • GETGet account margin configuration
        • POSTSet margin configuration
        • GETGet account profile information
        • PUTUpdates account profile
        • POSTUpdates account max slippage for a specific market
        • POSTUpdates account notification preferences
        • POSTUpdates the last-seen notification timestamp
        • POSTUpdates account profile fields
        • POSTRefresh inventory for authenticated account
        • POSTUpdates account size currency display preference
        • POSTUpdates account profile username fields
        • POSTUpdates account referred_by field
        • GETGet account settings
        • POSTUpdates account trading value display
        • GETList sub-accounts of current account
        • GETGet account summaries (main account + authorized accounts)
        • GETList balances
        • GETList fills
        • GETFunding payments history
        • GETList open positions
        • GETList tradebusts
        • GETList transactions
  • Testnet API Reference
  • Useful Resources
    • Paradex Github
    • Paradex CLI
    • Code Samples
    • Python SDK
    • CCXT Integration
Join CommunityStart Trading
Production API ReferenceAccount

Updates account profile fields

POST
https://api.prod.paradex.trade/v1/account/profile/referral_code
POST
/v1/account/profile/referral_code
$curl -X POST https://api.prod.paradex.trade/v1/account/profile/referral_code \
>-H 'Accept: application/json' \
>-H 'Authorization: Bearer {JWT}'
1{
2 "ai_agent_url": "wss://agent.paradex.trade:18789",
3 "discord": {
4 "id": "80351110224678912",
5 "image_url": "https://cdn.discordapp.com/avatars/80351110224678912/a_6f3b1c2e7f3e4a7a9f3b1c2e7f3e4a7a.gif",
6 "username": "CryptoFox"
7 },
8 "is_username_private": true,
9 "last_seen_notification": 1713400000000,
10 "market_max_slippage": {
11 "BTC-USD": "0.005",
12 "ETH-USD": "0.01"
13 },
14 "marketed_by": "maxDegen",
15 "nfts": [
16 {
17 "collection_address": "0xabc123def4567890abc123def4567890abc123de",
18 "collection_name": "CryptoPunks",
19 "id": "3100",
20 "image_url": "https://www.larvalabs.com/cryptopunks/cryptopunk3100.png",
21 "name": "CryptoPunk #3100",
22 "price": {
23 "currency": "ETH",
24 "decimals": 18,
25 "value": "420.0"
26 }
27 }
28 ],
29 "notifications": {
30 "announcements": false,
31 "fill_sound": true,
32 "fills": true,
33 "orders": true,
34 "transfers": true
35 },
36 "referral": {
37 "commission_rate": "0.1",
38 "commission_volume_cap": "1000000000",
39 "discount_rate": "0.1",
40 "discount_volume_cap": "30000000",
41 "minimum_volume": "0.123",
42 "name": "Referral",
43 "points_bonus_rate": "0.1",
44 "points_bonus_volume_cap": "1000000000",
45 "referral_type": "Referral"
46 },
47 "referral_code": "cryptofox8",
48 "referred_by": "maxDegen",
49 "size_currency_display": "BASE",
50 "tap_share_rate": {
51 "last_updated_at": 1715592690488,
52 "share_rate": "0.2"
53 },
54 "tap_status": "ACTIVE",
55 "twitter": {
56 "id": "44196397",
57 "image_url": "https://pbs.twimg.com/profile_images/1354489643904008193/3f6b6b7a_normal.jpg",
58 "username": "CryptoFox"
59 },
60 "twitter_following": {
61 "elonmusk": true,
62 "vitalikbuterin": false,
63 "paradex": true
64 },
65 "username": "cryptofox8",
66 "xp_share_rate": {
67 "last_updated_at": 1715592690488,
68 "share_rate": "0.2"
69 }
70}
Respond with requester's account information
Was this page helpful?
Previous

Refresh inventory for authenticated account

Next
Built with

Authentication

Authorizationstring
API Key authentication via header

Response

OK
ai_agent_urlstring
discordobject
is_username_privateboolean
last_seen_notificationinteger
market_max_slippagemap from strings to strings
marketed_bystring
nftslist of objects
notificationsobject
referralobject
referral_codestring
referred_bystring
size_currency_displaystring
tap_share_rateobject
tap_statusstring

TAP affiliate status: “NONE”, “ACTIVE”, or “INACTIVE”

twitterobject
twitter_followingmap from strings to booleans
usernamestring
xp_share_rateobject

Errors

400
Bad Request Error
401
Unauthorized Error